
class ArrayResponse<T> {

  List<dynamic> data;
  int total;
  String page_size;
  String page_number;

  ArrayResponse();

  factory ArrayResponse.fromJson(Map<String, dynamic> json) {
    return ArrayResponse()
      ..total = json["total"] as int
      ..data = json["data"] as List<dynamic>
      ..page_number = json["page_number"] as String
      ..page_size = json["page_size"] as String;
  }

}